
_G[gTable] = {};

local aTmpVal = gTable;
cm.SetupTable(_G[aTmpVal]);

-- Called on Init
_G[gTable].OnInit = function(pObj)

end

-- Called after data being loaded from disk
_G[gTable].OnLoad = function(pObj)

end

-- Called on a update
_G[gTable].OnUpdate = function(pObj)

end

-- Called on a succesful click
_G[gTable].OnClick =  function(pObj, pName)
	return false;
end

-- Called on draw
_G[gTable].OnDraw =  function(pObj, pG)

   local aRpos = pObj.mSmPos;
   local aImg  = IcImageWrap(pObj.mSmallImage);
   assert(aImg);
   local aRect = aImg:GetCelRect(pObj.mCurCell);
   pG:DrawImage(aImg:GetImage(), aRpos.x, aRpos.y, aRect);

end

-- Called on moused
_G[gTable].OnMoused =  function(pObj)

end

-- Called on Unmoused
_G[gTable].OnUnMoused =  function(pObj)

end

